Cyberduck Mountain Duck CLI

#9396 closed defect (worksforme)

Disable software update prompt

Reported by: simonlink Owned by:
Priority: high Milestone: 5.0
Component: core Version: 4.8.4
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

Hallo,

Under C:\Program Files (x86)\Cyberduck I used the Cyberduck.exe.config file to add the following lines to disable the update prompt at the program startup:

<setting>
  <value>
    <settings>
      <setting name="update.check" value="false"/>
    </settings>
  </value>
</setting>

After that Cyberduck didn't start anymore. I think it was just caused due to a completely wrong syntax.

Please tell me the correct lines to disable the update check.

Btw: I have already checked https://trac.cyberduck.io/wiki/help/en/howto/cli#Preferences and the rest. No chance for me.

Change History (13)

comment:1 follow-up: Changed on Apr 5, 2016 at 9:12:39 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

You can disable the software update in the Preferences window.

comment:2 in reply to: ↑ 1 Changed on Apr 5, 2016 at 10:54:32 AM by simonlink

Replying to dkocher:

You can disable the software update in the Preferences window.

That's clear. We are using a software deployment system, so we want to disable the update check with a script or modified setting file.

comment:3 Changed on Apr 5, 2016 at 12:18:07 PM by dkocher

  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:5 in reply to: ↑ 4 ; follow-up: Changed on Apr 5, 2016 at 12:55:03 PM by simonlink

Replying to dkocher:

Did you follow the guidance in https://trac.cyberduck.io/wiki/help/en/howto/preferences#Windows?

???

Yes, see ticket text.

comment:6 in reply to: ↑ 5 Changed on Apr 5, 2016 at 1:06:41 PM by dkocher

Replying to simonlink:

Replying to dkocher:

Did you follow the guidance in https://trac.cyberduck.io/wiki/help/en/howto/preferences#Windows?

???

Yes, see ticket text.

Make sure you include the attributes in the setting element as in <setting name="CdSettings" serializeAs="Xml">.

comment:7 Changed on Apr 5, 2016 at 1:46:28 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

comment:8 Changed on Apr 5, 2016 at 5:18:51 PM by simonlink

I don't get it and I am still at the beginning.

When I open Cyberduck.exe.config with Notepad++ I can see the following lines:

<?xml version="1.0"?>
<configuration>
  <configSections>
    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <section name="Ch.Cyberduck.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
    </sectionGroup>
  </configSections>
</configuration>

I ask you to tell me the exactly lines that I have to add to disable the update checker.

comment:9 Changed on Apr 7, 2016 at 12:11:30 PM by simonlink

Please. :-)

comment:10 Changed on Apr 15, 2016 at 12:52:58 PM by simonlink

???

comment:11 Changed on Apr 15, 2016 at 1:13:06 PM by dkocher

  • Milestone set to 4.9.1
  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:12 Changed on Apr 26, 2016 at 7:08:59 AM by yla

Currently it's not possible to override the user settings through a exe.configas we have the container setting CdSettingswhich is not being merged with the user's one.

As of version 4.8.4 non-admin users should not be able anymore to check for updates, i.e. the buttons and menu entries should be greyed out. As there is no 100% reliable way to detect if a user is an admin or not this might fail in certain environments. Then the only currently possible way to disable the update mechanism is to add the update.checksetting in the user.config file.

comment:13 Changed on Apr 26, 2016 at 12:47:45 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software